| Mfg |
Part # |
Datasheet |
Description |
 NEC |
RFC3261 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3264 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3265 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3311 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3325 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3428 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3515 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3578 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3665 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3711 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3842 |
394Kb/4P |
On-site wireless telephony on your IP Network |
| RFC3891 |
394Kb/4P |
On-site wireless telephony on your IP Network |
 Chongqing Pingwei E... |
RFC3K |
39Kb/1P |
HIGH VOLTAGE FAST RECOVERY RECTIFIER |
| RFC3K |
176Kb/1P |
0.2AMPS. HIGH VOLTAGE FAST RECOVERY RECTIFIERS |
 GETAI ELECTRONICS D... |
RFC3K |
549Kb/2P |
0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode |
| RFC3K |
549Kb/2P |
0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode |
| RFC3K |
549Kb/2P |
0.2A 2kV~4kV 500nS--High voltage fast recovery rectifier diode |
 Shanghai Shunye Ele... |
RFC3K |
239Kb/1P |
HIGH VOLTAGE RECTIFIER |